<?php
$st   = $this->setting;
$link = $st->getSetting( 'header_link' );
$type = $st->getSetting( 'site_header', 'text' );
?>
<div class="site-title">
    <h1>
        <?php
        if ( $link ) {
            echo '<a href="' . $link . '">';
        }
        if ( $type == 'image' ) 
        {
            $alt  = $st->getSetting( 'site_header_text', '' );
            $logo = '';
            if ( $imgid = $st->getSetting( 'site_header_image' ) ) 
            {
                $data = wp_get_attachment_image_src( $imgid, 'full' );
                if ( ! empty( $data[0] )) {
                    $logo = $data[0];
                }
            }
            echo '<img src="' . $logo . '" alt="' . $alt . '">';
        } 
        else 
        {
            $text = $st->getSetting( 'site_header_text', '' );
            echo '<span>' . $text . '</span>';
        }
        if ( $link ) {
            echo '</a>';
        }
        ?>
    </h1>
</div>