<?php
$st      = $this->setting;
$style   = $st->getSetting( 'box_style', '1' );
$bgcolor = $st->getSetting( 'box_bg_color', '#f6f6f6' );
$color   = $st->getSetting( 'box_color', '#555555' );
$border  = '';
if ( $st->getSetting( 'box_border_status', 'true' ) == 'true' ) 
{
    $width   = $st->getSetting( 'box_border_width', 1 );
    $bostyle = $st->getSetting( 'box_border_style', 'solid' );
    $bocolor = $st->getSetting( 'box_border_color', '#dddddd' );
    $border  = 'border:' . $width . 'px ' . $bostyle . ' ' . $bocolor . ' ' .';';
}
$opacity = 1;
if ( $trans = $st->getSetting( 'box_transparency', 0 ) ) {
    $opacity = 1 - ( $trans/100 );
}
$bsval = 0;
$bs    = $st->getSetting( 'box_shadow', 'smooth' );
if ( $bs == 'smooth' ) {
    $bsval = '0 1px 2px rgba(0, 0, 0, 0.1)';
}
elseif ( $bs == 'medium' ) {
    $bsval = '0 2px 2px rgba(0, 0, 0, 0.2)';
}
elseif ( $bs == 'rough' ) {
    $bsval = '0 4px 3px rgba(0, 0, 0, 0.3)';
}
?>
<style>
.video .video-deco {
    background-color:<?php echo $bgcolor; ?>;
    color:<?php echo $color; ?>;
    <?php echo $border; ?>
    opacity:<?php echo $opacity; ?>;
    <?php
    if ( $bs != 'none' ) :
    ?>
    -webkit-box-shadow:<?php echo $bsval;?>;
    -moz-box-shadow:<?php echo $bsval;?>;
    box-shadow:<?php echo $bsval;?>;
    <?php
    endif;
    ?>
}
</style>
<div class="more-content video-list video-style-<?php echo $style; ?>">
    <div class="video-list-inner">
        <?php
        if ( $videos = $this->get_videos() ) :
        ?>
        <div class="videos more-content-container">
            <div class="row">
                <div class="more-content-wrap">
                    <?php
                    foreach( $videos as $video ) 
                    {
                        $root = 'video/style-' . $style . '/';
                        $path = $root . 'main';
                        $this->video_root    = $root;
                        $this->video_setting = new IPVicre_Setting( $video->ID, '__ipvicre-video-setting' );
                        $this->video         = $video;
                        $this->inc( $path );
                    }
                    ?>
                </div>
            </div>
        </div>
        <?php
        endif;
        ?>
    </div>
</div>